gdt_begin:
	;; The gdt table
	;; 00:15 - Limit 0:15
	;; 16:32 - Base 0:15
	;; 32:39 - Base 16:23
	;; 40:47 - Access byte
	;; 48:51 - Limit 16:19
	;; 52:55 - Flags
	;; 56:63 - Base 24:31
	
	;; Null selector - 8 bytes
	dq 0x0000

	;; Code - selector 0x08
	;; base: 0
	;; limit: 0xffffffff = 4GB
	dw 0xFFFF
	dw 0x0000
	db 0x00
	db 0b01011001 					;Access byte
	db 0b11110011
	db 0x00
	
	
	;; Data - selector 0x10
	;; base: 0
	;; limit: 0xffffffff = 4GB
	dw 0xFFFF
	dw 0x0000
	db 0x00
	db 0b01001001
	db 0b11110011
	db 0x00

gdt_end:


gdt_descriptor:
	dw gdt_end - gdt_begin - 1	;size - 1
	dd gdt_begin
	
